> ## Documentation Index
> Fetch the complete documentation index at: https://docs.miav.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Search members

> Lists the user memberships of the organization, with filters and pagination.



## OpenAPI

````yaml /openapi.json post /organization-memberships/search
openapi: 3.1.0
info:
  title: CSMS API
  description: Backend API documentation
  version: 0.0.0
servers: []
security: []
paths:
  /organization-memberships/search:
    post:
      tags:
        - organization memberships
      summary: Search members
      description: >-
        Lists the user memberships of the organization, with filters and
        pagination.
      operationId: postOrganizationMembershipsSearch
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                page:
                  type: number
                perPage:
                  type: number
                sort:
                  type: object
                  properties:
                    field:
                      type: string
                    direction:
                      type: string
                      enum:
                        - asc
                        - desc
                  required:
                    - field
                    - direction
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        role:
                          type: string
                          enum:
                            - OWNER
                            - MANAGER
                        userId:
                          type: number
                        organizationId:
                          type: number
                        createdAt:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                        updatedAt:
                          type: string
                          format: date-time
                          pattern: >-
                            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                        user:
                          type: object
                          properties:
                            id:
                              type: number
                            name:
                              type: string
                            email:
                              type: string
                            emailVerified:
                              type: boolean
                            image:
                              type: string
                            username:
                              type: string
                            displayUsername:
                              type: string
                            role:
                              type: string
                              enum:
                                - admin
                                - merchant
                                - merchant_manager
                                - user
                            banned:
                              type: boolean
                            banReason:
                              type: string
                            banExpires:
                              type: string
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                            createdAt:
                              type: string
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                            updatedAt:
                              type: string
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
                          required:
                            - id
                            - name
                            - email
                            - emailVerified
                            - role
                            - createdAt
                            - updatedAt
                      required:
                        - id
                        - role
                        - userId
                        - organizationId
                        - createdAt
                        - updatedAt
                        - user
                  meta:
                    type: object
                    properties:
                      page:
                        type: number
                      perPage:
                        type: number
                      totalItems:
                        type: number
                      totalPages:
                        type: number
                      sort:
                        type: object
                        properties:
                          field:
                            type: string
                          direction:
                            type: string
                        required:
                          - field
                          - direction
                      filters: {}
                    required:
                      - page
                      - perPage
                      - totalItems
                      - totalPages
                      - sort
                required:
                  - data
                  - meta
        '404':
          description: Organization not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: number
                    const: 404
                  message:
                    type: string
                    const: Organization not found
                  type:
                    type: string
                    const: ORGANIZATION_NOT_FOUND
                  attributes:
                    type: object
                    propertyNames:
                      type: string
                    additionalProperties:
                      type: string
                required:
                  - status
                  - message
                  - type

````